version: "3.7"

networks:
  mother:
    external: true

services:
    metabase:
      image: registry.vnfco.ir/library/metabase:latest
      environment:
        - MB_DB_TYPE=postgres
        - MB_DB_DBNAME=posthogdb
        - MB_DB_PORT=5432
        - MB_DB_USER=posthoguser
        - MB_DB_PASS=XhbAQ15Thp2lNRbE4sUGldPKOzJ1yfDIX8sPm4DQ63c=
        - MB_DB_HOST=pg-0
        - JAVA_TIMEZONE=Asia/Tehran
      deploy:
        update_config:
          parallelism: 1
          delay: 10s
          order: stop-first
        restart_policy:
          condition: any
          delay: 5s
          window: 120s 
        resources:
          limits:
            cpus: '0.5'
            memory: 250m
        replicas: 1
        mode: replicated
        placement:
          constraints:
            - node.role == worker
      volumes:
        - /etc/localtime:/etc/localtime:ro
      ports:
        - 9095:3000
      network:
        - mother